<?php
session_start();
//set_time_limit(0);
  include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");
  
  $objPer=new clsPer;
/* function redondeado($numero, $decimales) {
$factor = pow(10, $decimales);
return (round($numero*$factor)/$factor); }  */

function redondeodecimal($valor){
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
$resultadog=$objPer->getCia1($cod_emp);										  
  $rowdato=$objPer->NextRow2($resultadog);  
 $mm=substr($fecha1,3,2); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><MMString:LoadString id="insertbar/formsHidden" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">

<link href="Estilos.css" rel="stylesheet" type="text/css">

<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">

<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<script type="text/javascript" src="jquery-1.3.2.min.js"></script>
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<style type="text/css">
.botonExcel{cursor:pointer;}
</style>
<script language="JavaScript"> 
<!--
function print_1(sURL,x,y) {
if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=yes,"
			par = par + "menubar=no,toolbar=no,status=no"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//--> 
</script>
<SCRIPT language=JavaScript src="js/calendario.js"></SCRIPT>
<script language="javascript" type="text/javascript">
  function volver(){
     window.location="fondo.php";
                   }
</script>
</head>

<body onLoad="print()">
<table width="1017" border="0" cellspacing="0" cellpadding="0" >
  <tr>
    <td width="238" height="15"><div align="right"><img src="../imagenes/logo_perenco.GIF" width="150" height="54"></div></td>
    <td width="309"><div align="left" class="lblTitulo"></div></td>
  </tr>
  <tr class="lblCampo">
    <td colspan="2"><div align="center">
      <table width="834" border="0" id="Exportar_a_Excel">
        <?

$mesess=$month;
$anioss=$year;
$fecha1=$days1."-".$mesess."-".$anioss;
$fecha2=$days."-".$mesess."-".$anioss;
$rstrans=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));

?>
        <tr>
          <td><div align="left"><span class="lblTitulo">CONSOLIDADO HORAS POR CENTRO DE COSTOS</span></div></td>
        </tr>
        <tr>
          <td><div align="left">Empresa 
            <?=$rowdato['razon_emp']?>
          </div></td>
        </tr>
        <tr>
		<?
				$mess=substr($fecha1,3,2);
		  		$anio=substr($fecha1,6,4);
				$day="01";
				
				
				$diass=date(d);
				$ultimodia=date("t",mktime(0,0,0,$mesess,$diass,$anioss));
				
				
				$rspcp=$objPer->manpercarpesodispeso($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));//
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelos($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);
				
				$abcde=1;
				$rst=$objPer->getTransTarifaRuta($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2)); 
				$rowt=$objPer->NextRow($rst);
				$rsti=$objPer->getTransTarifaRutaInd($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2)); 
				$rowti=$objPer->NextRow($rsti);				
					
				$rsthi=$objPer->getHoraIndisponible($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);
				
				//$rowthi['horasv']."-".$rowthi['horastec'];
							
				
				?>
          <td><div align="left">Reporte del Mes de <?=meshoy($month);?> del <?=$year?>
          </div></td>
        </tr>
        <tr>
          <td><div align="left">
            <table width="709" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
              <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
                <?
				
				
				$rspcp=$objPer->manpercarpesodispesoEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelosEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);
								
				$rst=$objPer->getTransTarifaEmp($cod_emp); 
				$rowt=$objPer->NextRow($rst);				
					
				$rsthi=$objPer->getHoraIndisponibleEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);
				
				//$rowthi['horasv']."-".$rowthi['horastec'];
							
				
				?>
                <td width="174"><div align="center">Centros de costos </div></td>
                <? for($j=$days1;$j<=$days;$j++){?>
                <td width="189"><div align="center">
                    <?=$j?>
                </div></td>
                <? }?>
                <td width="144"><div align="center">Horas por CC hh:mm</div></td>
                <td width="96"><div align="center">calculo del %</div></td>
                <td width="94"><div align="center">%</div></td>
              </tr>
              <?
				$n=0;
				
				$rscd=$objPer->manpercardiasTEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				?>
              <tr class="lblCampo">
                <td><div align="left">
                    <?=$rowcd['ccosto']?>
                </div></td>
                <? for($i=$days1;$i<=$days;$i++){?>
                <td><div align="center">
                    <?					
				  if($rowcd['ccosto']){
				  $tt1=0;
				  $rshd=$objPer->getHorasxDiaEmpRutaCod($cod_emp,$anioss."-".$mesess."-".$i);
				  while($rowhd=$objPer->NextRow($rshd)){
				  
				  $rspcdc=$objPer->manpercarpesodisccEmpRutaCod($cod_emp,$rowcd['ccosto'],$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
				  $rowpcdc=$objPer->NextRow($rspcdc);
				  
				  $rspcdt=$objPer->manpercarpesodishEmpRutaCod($cod_emp,$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
				  $rowpcdt=$objPer->NextRow($rspcdt);
				  
				  $rstv=$objPer->manpercarHrsTecVolEmpRutaCod($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				  $rowtv=$objPer->NextRow($rstv);
				  			  	  
				  
				  if($rowpcdt['dispesototal']!=''){
					  if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}	  
					  if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtv['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtv['horavol'];}
						  
						  if($rowcd['ccosto']==$rowpcdc['ccosto']){
						  $t=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
						  $tt1+=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
						  $sumap+=$dispercar;
						  //$tothorascc1+=$tt1;			  
									
						  $tipohorasc=$tipohora;
						  $tothorascc1+=($t);				  
						  $dishpar[]=array($rowcd['ccosto'],$i,round($t));	
						 $horasdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);					  
						
						  }
					 }else{
					 echo "&nbsp;";
					 }
					 }
					 		  $divisora=60;
							  $minutosa=60;
							  
							  $timeh=round(round($tt1,1));
							  $timeho=round($timeh/60,2);
							  
							  $tminutosa=round($minutosa*$timeho);    
							  $cocientea=floor($tminutosa/$divisora);
							  
							  $restoa=$tminutosa%$divisora;
							  if($restoa<10){
								if($cocientea.":0".$restoa!='0:00'){
									echo $cocientea.":0".$restoa;
								}
							  }else{
								if($cocientea.":0".$restoa!='0:00'){
									echo $cocientea.":".$restoa;
								}
							  }   
					}
					 
				  ?>
                </div></td>
                <? }?>
                <td><div align="center">
                    <?
				  if($rowcd['ccosto']){
				  $hcc=round($tothorascc1)/60;
				  //echo $tothorascc1;
				  $timehpar=round(round($tothorascc1,1));
				  $timehopar=round($timehpar/60,2);
				  $porcentajepp=round($tothorascc1,2)/60;
				  $totalhoracol=round($tothorascc1,1);
				  
				   $porcentajepar=$porcentajepp;				  
				  
				  	  $div=60;
					  $min=60;
					  
					  $tmin=round($min*$timehopar);    
					  $coci=floor($tmin/$div);
					  
					  $rest=$tmin%$div;
						  if($rest<10){
							if($coci.":0".$rest!='0:00'){
								echo $coci.":0".$rest;
							}
						  }else{
							if($coci.":0".$rest!='0:00'){
								echo $coci.":".$rest;
							}
						  }
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc);
				  }
				  ?>
                </div></td>
                <td><div align="center">
                    <?
		  $parcial=round(round(($tothorascc1/60),4),3);
		  echo round(($tothorascc1/60)/$tipohorasc,4);
		  round($timehopar/$tipohorasc,4);
		  $parcialcal+=round($parcial/$tipohorasc,4);
		  ?>
                </div></td>
                <td><div align="center">
                    <?
					
					
					//echo $porcentaje1=round((round($timehopar,2)/$tipohorasc)*100,1);
					echo $porcentaje1=round((round(($tothorascc1/60)/$tipohorasc,4))*100,1);
					$port+=$porcentaje1;				  
					$ss=round($sumap)."<br>";
					$sst=round($sumdispercar);			  
				  
				  ?>
                </div></td>
              </tr>
              <? }$objPer->Liberar($rscd);?>
              <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
                <td>Horas Facturables Totales </td>
                <? for($z=$days1;$z<=$days;$z++){?>
                <td><div align="center">
                    <?
		    if(isset($horasdia)){
			$sumahourdia=0;
			foreach($horasdia as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
				  
				  
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  	//echo calcular_horas_formato_inversa((round(round(round($sumahourdia,1))/60,2)));
							  $divisorat=60;
							  $minutosat=60;
							  
							  $timeht=round(round($sumahourdia,1));
							  $timehot=round($timeht/60,2);
							  
							  $tminutosat=round($minutosat*$timehot);    
							  $cocienteat=floor($tminutosat/$divisorat);
							  
							  $restoat=$tminutosat%$divisorat;
							  if($restoat<10){
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":0".$restoat;
								}
							  }else{
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":".$restoat;
								}
							  }   
				  	$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
					$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				}
				}
				  ?>
                </div></td>
                <? }?>
                <td><div align="center">
                    <?
				  echo calcular_horas_formato_inversa(round($totalhoracol1)/60);
				  ?>
                  /
                  <?=round(round($totalhoracol1)/60,2);?>
                </div></td>
                <td><div align="center"></div></td>
                <td><div align="center">
                    <?
					//$tper
					echo number_format($port,2,'.','');
					?>
                </div></td>
              </tr>
            </table>
          </div></td>
        </tr>
        
        <tr class="lblCampo">
          <td><div align="left"></div></td>
        </tr>
        <tr>
          <td><div align="center"></div></td>
        </tr>
      </table>
    </div></td>
  </tr>
  <tr class="lblCampo">
    <td colspan="2"><div align="left">
	
	</div></td>
  </tr>
</table>
<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion">
<p>Exportar a Excel  <img src="imagen/export_to_excel.gif" class="botonExcel" /></p>
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</form>
</body>

</html>

